# StringBuffer class

A class for concatenating strings efficiently.

Allows for the incremental building of a string using write*() methods. The strings are concatenated to a single string only when toString is called.

Implemented types
  - StringSink

## Constructors

StringBuffer([Object content = "" ])
  Creates the string buffer with an initial content.

## Properties

isEmpty → bool
  Returns whether the buffer is empty. This is a constant-time operation.
  read-only
isNotEmpty → bool
  Returns whether the buffer is not empty. This is a constant-time operation.
  read-only
length → int
  Returns the length of the content that has been accumulated so far. This is a constant-time operation.
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

clear() → void
  Clears the string buffer.
toString() → String
  Returns the contents of buffer as a concatenated string.
  override
write(Object obj) → void
  Adds the contents of `obj`, converted to a string, to the buffer.
  override
writeAll(Iterable objects, [ String separator = "" ]) → void
  Iterates over the given `objects` and writes them in sequence.
  override
writeCharCode(int charCode) → void
  Adds the string representation of `charCode` to the buffer.
  override
writeln([Object obj = "" ]) → void
  Converts `obj` to a String by invoking Object.toString and adds the result to `this`, followed by a newline.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited